Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.afmtypes
Class CompositePart

    java.lang.Object
      org.pdfbox.afmtypes.CompositePart

public class CompositePart
extends Object

This class represents a part of composite character data.

Version:
  $Revision: 1.5 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`CompositePart()`

Method Summary
`String` | `getName()` Getter for property name.
`int` | `getXDisplacement()` Getter for property xDisplacement.
`int` | `getYDisplacement()` Getter for property yDisplacement.
`void` | `setName(String nameValue)` Setter for property name.
`void` | `setXDisplacement(int xDisp)` Setter for property xDisplacement.
`void` | `setYDisplacement(int yDisp)` Setter for property yDisplacement.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositePart

    public CompositePart()

Method Detail

### getName

    public String getName()

  Getter for property name.

  Returns:
    Value of property name.

### setName

    public void setName(String nameValue)

  Setter for property name.

  Parameters:
    `nameValue` - New value of property name.

### getXDisplacement

    public int getXDisplacement()

  Getter for property xDisplacement.

  Returns:
    Value of property xDisplacement.

### setXDisplacement

    public void setXDisplacement(int xDisp)

  Setter for property xDisplacement.

  Parameters:
    `xDisp` - New value of property xDisplacement.

### getYDisplacement

    public int getYDisplacement()

  Getter for property yDisplacement.

  Returns:
    Value of property yDisplacement.

### setYDisplacement

    public void setYDisplacement(int yDisp)

  Setter for property yDisplacement.

  Parameters:
    `yDisp` - New value of property yDisplacement.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD